#!/bin/sh -e

./configure           \
   --prefix=/usr      \
   --sbindir=/usr/bin

# Fix includes for w.c
sed -i 's|HAVE_UTMPX_H|NO|g' w.c

# Fix includes for proc/escape.c
sed -i '/\#endif/a #include <langinfo.h>' proc/escape.c

make CCLD="${CC:-cc} -all-static"
make DESTDIR="$1" install

# Prevent redundant junk from getting in.

for file in sysctl uptime bc dc
do
   if [ $(find . -name $file) ]
   then rm "$1/usr/bin/$file"
   fi
done

rm -rf "$1/usr/share"
